Förhindra uppdatering av tema och plugin

Det finns tillfällen då man inte vill att ens plugin eller tema ska uppdateras. Kanske är det ett företag vars sida och funktionalitet inte ska/ kommer att förändras och därmed så vill man inte riskera eventuella förändringar genom att modertemat uppdateras och därmed byter utseende eller så är det på grund av något helt annat.

Oavsett varför du vill göra detta så ska jag visa dig koden som du lägger i temats functions.php alternativt i plugin:ets php fil.


 

för tema

Koden ska in längst ner temats functions.php fil.


 

för plugins

Varje plugin har en php fil med plugin:ets namn. Längst ner i den, lägg in koden ovan.


 

för WordPress

Sedan version 3.7 så har ingen av oss som använder WP behövt bry oss om vad som kallar för minor updates vilket betyder följande: från 4.8.1  4.8.2. Minor inkluderar alltså inte från 4.8.2  4.9 då version 4.9 tolkas som en major update.

Minor uppdateringar innehåller oftast bara så kallade patchar där man fixar säkerhetshål, uppdatering av språkfiler (.mo och .po) för tema, plugins och liknande. För major uppdateringar så får du fortfarande en notis i din panel om att en ny uppdatering finns tillgänglig. Du kan då välja om du vill uppdatera eller ej.

Vill du inaktivera alla former av uppdateringar, minor som major, så kan du lägga till denna rad i wp-config.php 

 

Ni kan också använda er av denna varianten 

 

WP_AUTO_UPDATE_CORE kan användas på tre olika sätt.

  1. true = utvecklings versioner av WP, minor och major uppdateringar blir alla aktiverade
  2. false = precis tvärtom som true
  3. minor = precis vad det låter som = minor uppdateringar är aktiverade, utveckling- och stora uppdateringar är inaktiverade

 

Vill ni behålla allt så som det är så rekommenderar jag er att köra den första; AUTOMATIC_UPDATER_DISABLED.

 

Det förta alternativet ovan i kombination med koderna ovan är att föredra och du/ företaget vill att WordPress, plugins och ert tema ska stanna på de versionerna som används. Det enda ni behöver försäkra er om, är hur en ny PHP-version påverkar er hemsida, tema och plugins. Detta är en fråga du/ ni får ta upp med ert webbhotell/ leverantör beroende på vilken leverantör ni använder. Till exempel: One, Surftown, Oderland, Citysites/ Loopia.

I januari 2014 krävde WP minst version 5.2.4 medans version 5.5.7 fanns tillgänglig samtidigt som version 5.4 ansågs vara den senaste stabila. Idag är den senaste (27:e oktober) versionen 7.1.11. Risken är dock liten att en PHP uppdatering påverkar er WordPress sajt och så skulle ske så finns det standard steg att följa:

  1. Inaktivera alla plugins och byt till WP:s standard tema (nuvarande 2017)
  2. Hjälper inte det så kontaktar ni er leverantör och ber dem undersöka närmre

 

uppdatera enbart specifika plugins

På samma sätt som du kan inaktivera uppdateringar av vissa plugins så kan du göra precis tvärtom för vissa. Lägg denna koden i ditt temas functions.php 


 

Det var allt! Frågor eller funderingar? Lämna en kommentar så återkommer jag.
Du kan också nå mig på Facebook Messenger.

Om Bjornen

Jag är en hobbyförfattare & WP-nörd som försöker tömma hjärncellerna på kreativitet. När jag inte skriver så utökar jag mina WP-kunskaper genom att blogga och hänga på diverse sociala medier. Jag gör mitt bästa och min passion för WordPress enbart växer.

Kommentera


OBS: Alla kommentarer granskas innan dom blir publicerade. Ha en go dag!